import tensorflow as tf
import tensorflow.keras.backend as K
from tensorflow.keras.models import Model
from tensorflow.keras import layers
from tensorflow.keras.losses import BinaryCrossentropy, CategoricalCrossentropy

import math

@tf.function
def y_loss_func4hs(logits, labels):
    loss = tf.reduce_mean(CategoricalCrossentropy()(labels, logits))

    return loss

def opt_func(lr):

    # return tf.keras.optimizers.SGD(learning_rate=lr, momentum=0.9, nesterov=True)
    return tf.keras.optimizers.Adam(learning_rate=lr, beta_1=0.9, beta_2=0.999, epsilon=1e-08, amsgrad=True)